package aicg.wipf.rxxn

import aicg.wipf.vzuj.Kmqp.setTrackedOnClickListener
import aicg.wipf.vzuj.Kmqp.string
import android.app.Dialog
import android.content.Context
import android.graphics.Color
import android.graphics.drawable.ColorDrawable
import android.view.LayoutInflater
import com.blankj.utilcode.util.ClickUtils
import com.blankj.utilcode.util.SpanUtils
import com.test.basd.smartjunkcleaner.R
import com.test.basd.smartjunkcleaner.databinding.LjkeijBinding
import com.test.basd.smartjunkcleaner.databinding.UprrkoBinding

object Gdmk {

    private fun ދޤހގދޓޑޏ(context: Context, onClose: (view: Dialog) -> Unit, onClose2: (view: Dialog) -> Unit?):Dialog {
        return ޢޤޜޏއޛކގ(context, onClose, onClose2)
    }

    fun showBothTypes(context: Context, onClick: (potion: Int) -> Unit) {
        fun ނތޠޖގޅޒޑ(މޑޡފމހޛޏ: Int, ޓނދނޜހލކ: Int): Int {
            fun ޒދބމލވލޢ(ވޥފޕޥދޠޠ: Int, ބމޗޟޗޤޝޢ: Int): Int {
                return ވޥފޕޥދޠޠ + ބމޗޟޗޤޝޢ
            }
            return ޒދބމލވލޢ(މޑޡފމހޛޏ, ޓނދނޜހލކ)
        }
        val ޘޅޓޟފޑނމ = ނތޠޖގޅޒޑ(1547, 529)
        println(ޘޅޓޟފޑނމ)
        val dialog = Dialog(context)
        class ޙސޘޒކޟޞއ {
            inner class ޏލޟޢޙޕޖޤ {
                fun ޟލރށޏޤދޙ() {
                    println("ޟސޥޝޚޚޗޒ")
                }
            }
        }
        val ޙޑޒޒޒފޝފ = ޙސޘޒކޟޞއ().ޏލޟޢޙޕޖޤ()
        ޙޑޒޒޒފޝފ.ޟލރށޏޤދޙ()
        val binding = UprrkoBinding.inflate(LayoutInflater.from(context))
        dialog.requestWindowFeature(1)
        dialog.window!!.setBackgroundDrawable(ColorDrawable(Color.TRANSPARENT))
        class މޙވޓޘޔކއ<T, K>(val ރޢޞޜޖދޥގ: T, val ޓޝފޔދހޒޚ: K) {
            init {
                println("ޚޑވޏނރށޟ")
            }
        }
        val ކޑޢތޕޘޓޔ = މޙވޓޘޔކއ("ކޚޛޔމޥފޚ", 6347)
        println(ކޑޢތޕޘޓޔ)
        dialog.window!!.setLayout(-1, -1)
        dialog.setCanceledOnTouchOutside(true)
        dialog.setCancelable(true)
        dialog.setContentView(binding.root)
        class ޣތޤވޛވޞޡ(val ޗރނޅވތމލ: String, val ކޘޓތޒޅޔޚ: Int)
        println(ޣތޤވޛވޞޡ("ޓޞޏޒޘލގނ", 5024))
        ClickUtils.applyPressedBgDark(binding.kbiradp)
        ClickUtils.applyPressedBgDark(binding.rfksukr)
        if (System.currentTimeMillis() < 1969) {
            println(System.currentTimeMillis())
        }
        ClickUtils.applyPressedBgDark(binding.jnrmxsd)
        binding.kbiradp.setTrackedOnClickListener {
            onClick(0)
            dialog.dismiss()
        }
        binding.rfksukr.setTrackedOnClickListener {
            onClick(1)
            fun <T> ޞޛވލޚޚޘޛ(ޒޜލޅޓޚޙވ: T) {
                println(ޒޜލޅޓޚޙވ)
            }
            ޞޛވލޚޚޘޛ(2168)
            ޞޛވލޚޚޘޛ("ޗށސގޤޑޘޔ")
            dialog.dismiss()
        }
        binding.jnrmxsd.setTrackedOnClickListener {
            onClick(2)
            class ޜޔބޖޅޜޣޥ<T, K>(val ޡއށޓއޥޛޢ: T, val ޤކޥތރޗބނ: K) {
                init {
                    println("ޠޟދއތޓޔޥ")
                }
            }
            val ޟޔޑޑޜޑޖޜ = ޜޔބޖޅޜޣޥ("ޗގބޕށލތޥ", 7906)
            println(ޟޔޑޑޜޑޖޜ)
            dialog.dismiss()
        }

        class މސލޡޙޣމށ<T>(val ޔޑއލޑލބތ: T)
        val ޡޚޒހކވޑޝ = މސލޡޙޣމށ(3600)
        val ޛޒސކހޙލޞ = މސލޡޙޣމށ("ޔބޤލޘޗޖޓ")
        println(ޡޚޒހކވޑޝ.ޔޑއލޑލބތ)
        println(ޛޒސކހޙލޞ.ޔޑއލޑލބތ)
        dialog.show()
    }

    private fun ޢޤޜޏއޛކގ(context: Context, onClose: (view: Dialog) -> Unit, onClose2: (view: Dialog) -> Unit?):Dialog {
        return ޙޗސވޑތޗކ(context, onClose, onClose2)
    }

    private fun ޖތޚހޙގޞލ(context: Context, onClose: (view: Dialog) -> Unit, onClose2: (view: Dialog) -> Unit?):Dialog {
        return ރޔކޕޡސޖކ(context, onClose, onClose2)
    }

    fun showGerPermission(context: Context, onClose: (view: Dialog) -> Unit, onClose2: (view: Dialog) -> Unit?):Dialog {
        return ޖތޚހޙގޞލ(context, onClose, onClose2)
    }

    private fun ޙޗސވޑތޗކ(context: Context, onClose: (view: Dialog) -> Unit, onClose2: (view: Dialog) -> Unit?):Dialog {
        val dialog = Dialog(context)
        val binding = LjkeijBinding.inflate(LayoutInflater.from(context))
        dialog.requestWindowFeature(1)
        class ކބކޛޑރޔޏ<T>(val ފޑމވޥލގޖ: T)
        val ޑޗގސޕގޓޟ = ކބކޛޑރޔޏ(1746)
        val މތޞޔޙޝޡޠ = ކބކޛޑރޔޏ("ގޟތސޟޝލޔ")
        println(ޑޗގސޕގޓޟ.ފޑމވޥލގޖ)
        println(މތޞޔޙޝޡޠ.ފޑމވޥލގޖ)
        dialog.window!!.setBackgroundDrawable(ColorDrawable(Color.TRANSPARENT))
        dialog.window!!.setLayout(-1, -1)
        fun ޙލޅޒޠޕތޗ(ޑޜޥޑޗޡޡޕ: String) {
            println("tag, $ޑޜޥޑޗޡޡޕ!")
        }
        ޙލޅޒޠޕތޗ("ގޤސޘވޜޔފ")
        dialog.setCanceledOnTouchOutside(false)
        dialog.setCancelable(false)
        dialog.setContentView(binding.root)
        val str=context.resources.getString(R.string.ނއޡޔފ)
        SpanUtils.with(binding.ajstron)
            .append(R.string.ލތޠޗރ_D.string((str).toString()))
            .setFontSize(13, true)
            .setForegroundColor(0xFF999999.toInt())
            .append(R.string.ޏޜޟޔޒ_D.string())
            .setBold()
            .setFontSize(13, true)
            .setForegroundColor(0xFF4273FF.toInt())
            .append(R.string.ޔކޘޙޜ_D.string())
            .setFontSize(13, true)
            .setForegroundColor(0xFF999999.toInt())
            .create()
        binding.ovzwlha.imageAssetsFolder = R.string.ޟހވޒޗ_D.string()
        binding.ovzwlha.setAnimation(R.string.ވވޘޞޞ_D.string())
        binding.ovzwlha.playAnimation()
        binding.hgqupps.setTrackedOnClickListener {
            class ހޡޛޛޡޕޟނ {
                val ޗޙޟޕކޣޞޕ by lazy {
                    println("ޅޞޤޔބޛޞޔ")
                    "ޛޕގޖޑޗސޖ!"
                }
            }
            val އޘތޓޣޗނޛ = ހޡޛޛޡޕޟނ()
            println(އޘތޓޣޗނޛ.ޗޙޟޕކޣޞޕ)
            dialog.dismiss()
            abstract class ސޡށޕޕފޙކ {
                abstract fun ޟޡށއހގބއ()
            }
            class ގޞޒއޑޛޝޠ : ސޡށޕޕފޙކ() {
                override fun ޟޡށއހގބއ() {
                    println("ޔވބފނވސޤ")
                }
            }
            val ޓޞޠޜޅޑސޢ = ގޞޒއޑޛޝޠ()
            ޓޞޠޜޅޑސޢ.ޟޡށއހގބއ()
            onClose2.invoke(dialog)
        }
        binding.frjvdcz.setTrackedOnClickListener {
            class ޡޘޕދރޏޡޢ(val ޓގރމކޡޜޜ: String, val ޑޣއޜޛރޥޢ: Int)
            println(ޡޘޕދރޏޡޢ("ވދޏޘފބބޖ", 2431))
            dialog.dismiss()
            onClose.invoke(dialog)
        }
        dialog.show()
        return dialog
    }

    private fun ރޔކޕޡސޖކ(context: Context, onClose: (view: Dialog) -> Unit, onClose2: (view: Dialog) -> Unit?):Dialog {
        return ދޤހގދޓޑޏ(context, onClose, onClose2)
    }
}